Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SynthonSpaceSearcher Class Referenceabstract

`#include <SynthonSpaceSearcher.h>`

Inheritance diagram for RDKit::SynthonSpaceSearch::SynthonSpaceSearcher:

## Public Member Functions

| SynthonSpaceSearcher ()=delete
| SynthonSpaceSearcher (const ROMol &query, const SynthonSpaceSearchParams &params, SynthonSpace &space)
| SynthonSpaceSearcher (const SynthonSpaceSearcher &other)=delete
| SynthonSpaceSearcher (SynthonSpaceSearcher &&other)=delete
SynthonSpaceSearcher & | operator= (const SynthonSpaceSearcher &other)=delete
SynthonSpaceSearcher & | operator= (SynthonSpaceSearcher &&other)=delete
virtual | ~SynthonSpaceSearcher ()=default
SearchResults | search ()
SynthonSpace & | getSpace () const
const ROMol & | getQuery () const
const SynthonSpaceSearchParams & | getParams () const
virtual std::vector< std::unique_ptr< SynthonSpaceHitSet > > | searchFragSet (const std::vector< std::unique_ptr< ROMol > > &fragSet, const SynthonSet &reaction) const =0
std::unique_ptr< ROMol > | buildAndVerifyHit (const SynthonSpaceHitSet *hitset, const std::vector< size_t > &synthNums) const

## Protected Member Functions

virtual bool | verifyHit (ROMol &mol) const
virtual bool | quickVerify (const SynthonSpaceHitSet *hitset, const std::vector< size_t > &synthNums) const

## Detailed Description

Definition at line 36 of file SynthonSpaceSearcher.h.

## Constructor & Destructor Documentation

## SynthonSpaceSearcher() [1/4]

RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::SynthonSpaceSearcher | ( |  | ) |

delete

Referenced by operator=(), operator=(), SynthonSpaceSearcher(), SynthonSpaceSearcher(), and RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher::SynthonSpaceSubstructureSearcher().

## SynthonSpaceSearcher() [2/4]

RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::SynthonSpaceSearcher | ( | const ROMol & | query,
|  | const SynthonSpaceSearchParams & | params,
|  | SynthonSpace & | space )

## SynthonSpaceSearcher() [3/4]

RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::SynthonSpaceSearcher | ( | const SynthonSpaceSearcher & | other | ) |

delete

References SynthonSpaceSearcher().

## SynthonSpaceSearcher() [4/4]

RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::SynthonSpaceSearcher | ( | SynthonSpaceSearcher && | other | ) |

delete

References SynthonSpaceSearcher().

## ~SynthonSpaceSearcher()

virtual RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::~SynthonSpaceSearcher | ( |  | ) |

virtual default

## Member Function Documentation

## buildAndVerifyHit()

std::unique_ptr< ROMol > RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::buildAndVerifyHit | ( | const SynthonSpaceHitSet * | hitset,
|  | const std::vector< size_t > & | synthNums ) const

## getParams()

const SynthonSpaceSearchParams & RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::getParams | ( |  | ) | const

inline

Definition at line 53 of file SynthonSpaceSearcher.h.

## getQuery()

const ROMol & RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::getQuery | ( |  | ) | const

inline

Definition at line 52 of file SynthonSpaceSearcher.h.

## getSpace()

SynthonSpace & RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::getSpace | ( |  | ) | const

inline

Definition at line 51 of file SynthonSpaceSearcher.h.

## operator=() [1/2]

SynthonSpaceSearcher & RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::operator= | ( | const SynthonSpaceSearcher & | other | ) |

delete

References SynthonSpaceSearcher().

## operator=() [2/2]

SynthonSpaceSearcher & RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::operator= | ( | SynthonSpaceSearcher && | other | ) |

delete

References SynthonSpaceSearcher().

## quickVerify()

virtual bool RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::quickVerify | ( | const SynthonSpaceHitSet * | hitset,
|  | const std::vector< size_t > & | synthNums ) const

protected virtual

## search()

SearchResults RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::search | ( |  | ) |

## searchFragSet()

virtual std::vector< std::unique_ptr< SynthonSpaceHitSet > > RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::searchFragSet | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet,
|  | const SynthonSet & | reaction ) const

pure virtual

Implemented in RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher, RDKit::SynthonSpaceSearch::SynthonSpaceRascalSearcher, and RDKit::SynthonSpaceSearch::SynthonSpaceSubstructureSearcher.

## verifyHit()

virtual bool RDKit::SynthonSpaceSearch::SynthonSpaceSearcher::verifyHit | ( | ROMol & | mol | ) | const

protected virtual

The documentation for this class was generated from the following file:

- SynthonSpaceSearcher.h